var iOpcionRed;
var OPC_Red_NombreEquipo = 1;
var OPC_Red_DirEquipo = 2;
var OPC_Red_MascaraRed = 3;
var OPC_Red_PuertaEnlace = 4;
var OPC_Red_DirDNS = 5;
var OPC_Red_DirServidor = 6;
var OPC_Red_PuertoServidor = 7;
var OPC_Red_Resumen = 8;
var OPC_Red_MAX = 8;

function Pag_Red_Show(iOpc) {
	iOpcionRed = 0;
	Page_Show("Pag_Red",
		 '<table id="Pag_Red" width="720px" cellpadding="0" cellspacing="0" style="table-layout: fixed; background-image: url(fondo_menu.png);">'
		+'<tr height="88px">'
		+'	<td width="67px"/>'
		+'	<td width="202px" valign="bottom" style="color:#ffffff; font-size:18pt;">&nbsp;Parametros de Red</td>'
		+'	<td width="298px" valign="bottom" align="right" class="font15">' + ObtenerHoraActual() + '</td>'
		+'	<td width="150px"/>'
		+'</tr>'
		+'<tr height="7px"/>'
		+'<tr height="455px">'
		+'	<td/>'
		+'	<td valign="top"><table width="202px" cellpadding="0px" cellspacing="0px" style="table-layout: fixed">'
		+'		<tr height="34px"><td id="Pag_Red_Opcion1" class="font16" style="background-repeat: no-repeat;' + ((iOpc==1 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Nombre del equipo</td></tr>'
		+'		<tr height="34px"><td id="Pag_Red_Opcion2" class="font16" style="background-repeat: no-repeat;' + ((iOpc==2 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Dirección equipo</td></tr>'
		+'		<tr height="34px"><td id="Pag_Red_Opcion3" class="font16" style="background-repeat: no-repeat;' + ((iOpc==3 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Máscara de Red</td></tr>'
		+'		<tr height="34px"><td id="Pag_Red_Opcion4" class="font16" style="background-repeat: no-repeat;' + ((iOpc==4 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Puerta de enlace</td></tr>'
		+'		<tr height="34px"><td id="Pag_Red_Opcion5" class="font16" style="background-repeat: no-repeat;' + ((iOpc==5 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Dirección DNS</td></tr>'
		+'		<tr height="34px"><td id="Pag_Red_Opcion6" class="font16" style="background-repeat: no-repeat;' + ((iOpc==6 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Dirección servidor</td></tr>'
		+'		<tr height="34px"><td id="Pag_Red_Opcion7" class="font16" style="background-repeat: no-repeat;' + ((iOpc==7 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Puerto servidor</td></tr>'
		+'		<tr height="34px"><td id="Pag_Red_Opcion8" class="font16" style="background-repeat: no-repeat;' + ((iOpc==8 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Resumen</td></tr>'
		+'	</table></td>'
		+'	<td id="Pag_Red_Form" valign="top" align="left" colspan="2"></td>'
		+'</tr>'
		+'</table>');
	if (iOpc > 0) ActualizarRed(iOpc);
}

function Pag_Red_Close() {
	Pag_Menu_Show(OPC_Menu_Red);
}

function Pag_Red_KeyDown(keyChar) {
	try {
		switch (keyChar) {
		case KEY_UP:
			ActualizarRed(iOpcionRed - 1);
			return 0;
		case KEY_DOWN:
			ActualizarRed(iOpcionRed + 1);
			return 0;
		case KEY_BACK:
		case KEY_LEFT:
			Pag_Red_Close();
			return 0;
		case KEY_OK:
		case KEY_RIGHT:
			switch (iOpcionRed) {
			case OPC_Red_NombreEquipo:
				Pag_Red_NombreEquipo_Show();
				break;
			case OPC_Red_DirEquipo:
				Pag_Red_DirEquipo_Show();
				break;
			case OPC_Red_MascaraRed:
				Pag_Red_MascaraRed_Show();
				break;
			case OPC_Red_PuertaEnlace:
				Pag_Red_PuertaEnlace_Show();
				break;
			case OPC_Red_DirDNS:
				Pag_Red_DirServidor_Show();
				break;
			case OPC_Red_DirServidor:
				Pag_Red_DirServidor_Show();
				break;
			case OPC_Red_PuertoServidor:
				Pag_Red_PuertoServidor_Show();
				break;
			case OPC_Red_Resumen:
				Pag_Red_Resumen_Show();
				break;
			}
			return 0;
		}
	} catch(ex) {
		alert("Pag_Red_KeyDown: " + ex); 
	}
	return 1;
}

function ActualizarRed(iOpc) {
	if (iOpcionRed > 0) {
		document.getElementById("Pag_Red_Opcion" + iOpcionRed).style.backgroundImage="none";
	}
	iOpcionRed = iOpc;
	if (iOpcionRed < 1) iOpcionRed = OPC_Red_MAX;
	if (iOpcionRed > OPC_Red_MAX) iOpcionRed = 1;
	document.getElementById("Pag_Red_Opcion" + iOpcionRed).style.backgroundImage="url(cursor_red.png)";
}
